%define upstream_name	 Authen-Radius
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Radius authentication interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper) >= 1.0.0
BuildRequires: perl(Data::HexDump) >= 0.20.0
BuildRequires: perl(Digest::MD5) >= 2.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO) >= 1.120.0
BuildArch:  noarch

%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or comletely imitate AAA requests 
and process server response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS" 
# (sb) can't really do this - need a Radius server

%install
%makeinstall_std 

%files
%doc Changes INSTALL LICENSE MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Authen


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.240.0-6pclos2017
- rebuild against updates

